Package org.eclipse.jface.viewers

# Class ColumnViewerEditorActivationStrategy

java.lang.Object
org.eclipse.jface.viewers.ColumnViewerEditorActivationStrategy

public class ColumnViewerEditorActivationStrategy extends Object
This class is responsible to determine if a cell selection event is triggers an editor activation. Implementors can extend and overwrite to implement custom editing behavior

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`ColumnViewerEditorActivationStrategy(ColumnViewer viewer)`

## Method Summary

Modifier and Type
Method
Description
`ColumnViewer`
`getViewer()`
`protected boolean`
`isEditorActivationEvent(ColumnViewerEditorActivationEvent event)`
`void`
`setEnableEditorActivationWithKeyboard(boolean enable)`
Enable activation of cell editors by keyboard

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColumnViewerEditorActivationStrategy

public ColumnViewerEditorActivationStrategy(ColumnViewer viewer)

Parameters:
  `viewer` - the viewer the editor support is attached to

## Method Details

### isEditorActivationEvent

protected boolean isEditorActivationEvent(ColumnViewerEditorActivationEvent event)

Parameters:
  `event` - the event triggering the action
Returns:
  `true` if this event should open the editor

### getViewer

public ColumnViewer getViewer()

Returns:
  the viewer

### setEnableEditorActivationWithKeyboard

public void setEnableEditorActivationWithKeyboard(boolean enable)
Enable activation of cell editors by keyboard

Parameters:
  `enable` - `true` to enable